summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-12-19 16:13:28 +0000
committerJim Meyering <jim@meyering.net>2003-12-19 16:13:28 +0000
commit5b4206c91483145c7986e5eec24376c5c3c680ec (patch)
treeb88c5ceb6ceee2f2d506d36166eef7872623334c /tests/misc
parent3d8e62a14b36095e03dcd0adf3dd879d2e0fd52a (diff)
downloadcoreutils-5b4206c91483145c7986e5eec24376c5c3c680ec.tar.xz
Double quote back-ticked expression,
in case it ends up having an unexpected value.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/nohup4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index 36a965556..220545189 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -52,9 +52,9 @@ rm -f nohup.out err exp
# change depending on whether stderr is redirected.
nohup sh -c 'echo stdout; echo stderr 1>&2' >out || fail=1
if test -t 2; then
- test `cat out|tr '\n' -` = stdout-stderr- || fail=1
+ test "`cat out|tr '\n' -`" = stdout-stderr- || fail=1
else
- test `cat out|tr '\n' -` = stdout- || fail=1
+ test "`cat out|tr '\n' -`" = stdout- || fail=1
fi
# It must *not* exist.
test -f nohup.out && fail=1